%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PHY306, Assignment 3, Numerics question template.  IISER Bhopal  2020
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Assignment3

g = 9.81;
R = 1;
gamma=0.0;
omega_crit = sqrt(g/R);
omega = 1.2*omega_crit;

% for how long to 
tfin = 50; 	       %final simulation time
Nsamples = 2000;   % number of timesamples, choose to make good movie
tsamples = linspace(0,tfin,Nsamples);

%define initial conditions
theta0  = 0.000; %acos(g/omega/omega/R);
dtheta0 = 0;

% standard matlab differential equation solver:
options = odeset('RelTol',1e-8,'AbsTol',1e-6,'Stats','off','InitialStep',tfin*1e-5);
[tout,var_out] = ode45(@(t,variables)Newtons_equation(t,variables),tsamples,[theta0 dtheta0],options);

save(['assignment3_output.mat'])
display(['Wrote assignment3_output.mat'])

%%%%%%%%%%%%%%%%%%%%%%%%
% internal functions
%%%%%%%%%%%%%%%%%%%%%%%%

function dvar_dt = Newtons_equation(t,var_in)

dvar_dt = [XXX
          XXX];

end % funct

end % main function