%%% here you can provide the analytical solution

omega_crit = sqrt(g/R);
omega = 1.2*omega_crit;

theta0_anal = acos(g/omega/omega/R);


plot(tout,var_out(:,1),'k')
hold on
plot(tout,theta0_anal*ones(size(tout)),'r--')
hold off
xlabel(['t'])
ylabel(['\theta'])
title(['angle'])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

